summaryrefslogtreecommitdiff
path: root/.pik/test.sh
diff options
context:
space:
mode:
authorewy <ewy0@protonmail.com>2026-05-17 01:37:24 +0200
committerewy <ewy0@protonmail.com>2026-05-17 01:37:24 +0200
commitf5807d9f3a6c96e70912b61fac17120f412b5782 (patch)
treed6928795e06b1af000ffba2ae50bb6f8f7b72685 /.pik/test.sh
parent7984fd9beaa7c903288142818cb328c584a139a5 (diff)
* integration tests with a pik target to run them
* add abstraction for paths to facilitate unit tests * flesh out completion (--install-completion) * do sync init before stateless modes so list knows more
Diffstat (limited to '.pik/test.sh')
-rw-r--r--.pik/test.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/.pik/test.sh b/.pik/test.sh
index bb91492..ac4945f 100644
--- a/.pik/test.sh
+++ b/.pik/test.sh
@@ -1,2 +1,4 @@
#!/usr/bin/env bash
-go test -tags test -v ./... \ No newline at end of file
+set -euo pipefail
+go test -tags test -v ./...
+bash .pik/integrations.sh \ No newline at end of file